using System;

internal sealed class Delegate657 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate657 delegate657_1)
	{
		return delegate657_1(object_0);
	}

	public extern Delegate657(object object_0, IntPtr intptr_0);

	static Delegate657()
	{
		Class10.smethod_13(typeof(Delegate657).TypeHandle);
	}

	internal static Delegate657 delegate657_0;
}
